import { EventEmitter, OnInit } from '@angular/core';
import { FrequencyService } from '../../frequency/frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyDialogWeeklyComponent implements OnInit {
    private frequencyService;
    weeklyInterval: string;
    weeklyInput: number;
    weeklyWindow: number;
    weeklyLifeCycleStart: Date;
    weeklyLifeCycleEndTime: Date;
    weeklyLifecycleOccurance: number;
    selectedWeekly: number[];
    weeklyDeactivatedValue: number;
    dayArray: Array<string>;
    frequencyInfo: any;
    lifecycleDetails: any;
    weeklyExtension: number;
    weeklyWindowOpen: number;
    mode: any;
    startDate: number;
    frequencyData: any;
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    onTimeChanged(event: string): void;
    valueChangedFirst(event: any): void;
    onDaySelected(event: any): void;
    lifecycleChange(event: any): void;
    onValueChange(event: any): void;
    onWindowOpenChange(event: any): void;
    onExtensionChange(event: any): void;
    getWeeklyFrequency(): void;
    getPlaceholder(weeklyInput: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyDialogWeeklyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyDialogWeeklyComponent, "app-frequency-dialog-weekly", never, { "mode": { "alias": "mode"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
